import request from '@/utils/request'

// 查询蒸汽幕列表
export function listCurtain(query) {
  return request({
    url: '/dev/curtain/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽幕详细
export function getCurtain(id) {
  return request({
    url: '/dev/curtain/' + id,
    method: 'get'
  })
}

// 新增蒸汽幕
export function addCurtain(data) {
  return request({
    url: '/dev/curtain',
    method: 'post',
    data: data
  })
}

// 修改蒸汽幕
export function updateCurtain(data) {
  return request({
    url: '/dev/curtain',
    method: 'put',
    data: data
  })
}

// 删除蒸汽幕
export function delCurtain(id) {
  return request({
    url: '/dev/curtain/' + id,
    method: 'delete'
  })
}
